cURL
curl --request GET \ --url https://api.example.com/services/{service}/handlers
{ "handlers": [ { "input_description": "<string>", "name": "<string>", "output_description": "<string>", "abort_timeout": "<string>", "documentation": "<string>", "enable_lazy_state": true, "idempotency_retention": "<string>", "inactivity_timeout": "<string>", "info": [ { "message": "<string>", "code": "<string>" } ], "input_json_schema": "<unknown>", "journal_retention": "<string>", "metadata": {}, "output_json_schema": "<unknown>", "public": true, "retry_policy": { "exponentiation_factor": 123, "initial_interval": "<string>", "max_attempts": 2, "max_interval": "<string>", "on_max_attempts": "Pause" }, "ty": "Exclusive" } ] }
Returns a list of all handlers (methods) available in the specified service.
Documentation IndexFetch the complete documentation index at: https://docs.restate.dev/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.restate.dev/llms.txt
Use this file to discover all available pages before exploring further.
Fully qualified service name.
List of handlers available in the service
List of all the handlers of a service
Show child attributes
Was this page helpful?